PROBLEMAS COM UPGRADE UBUNTU 14.04 PARA 16.04

1. PROBLEMAS COM UPGRADE UBUNTU 14.04 PARA 16.04

Gibran Silva
gibras

(usa Outra)

Enviado em 10/03/2019 - 23:39h

Iae galera, recentemente tentei atualizar meu Linux porque estava com problemas no som do computador, porém ao atualizar o computador desligou durante a metade do processo e agora estou com alguns problemas.

gibran@gibran-Inspiron-5458:~$ sudo dpkg --audit

Os pacotes a seguir foram desempacotados mas ainda não foram configurados. Eles precisam ser configurados usando dpkg --configure ou a opção do menu
do dselect de configuração para que funcionem: linux-image-extra-4.4.0-135-generic Linux kernel extra modules for version 4.4

Os pacotes a seguir estão apenas meio configurados, provavelmente devido a problemas ao configurá-los pela primeira vez. A configuração deve ser feita
novamente usando dpkg --configure <pacote> ou a opção no menu do dselect:
initramfs-tools generic modular initramfs generator (automation)
linux-firmware Firmware for Linux kernel drivers
linux-image-4.4.0-135-generic Linux kernel image for version 4.4.0 on 64 bit x

Os pacotes a seguir estão apenas meio instalados, devido a problemas durante a instalação, que provavelmente estará completa se você tentar executá-la
novamente; os pacotes podem ser removidos com o dselect ou dpkg --remove:
linux-image-extra-4.4.0-142-generic Linux kernel extra modules for version 4.4
oem-kernel-cmdline Add kernel parameters that will be effective after OOBE

Alguém já lidou com esse tipo de problema que possa me passar algum script ou conselho?

Eu ja rodei os comandos:~$ sudo dpkg --configure initramfs-tools
Configurando initramfs-tools (0.122ubuntu8.14) ...
update-initramfs: deferring update (trigger activated)
A processar 'triggers' para initramfs-tools (0.122ubuntu8.14) ...
update-initramfs: Generating /boot/initrd.img-3.13.0-165-generic
E: amd64-microcode: unsupported kernel version!
E: /usr/share/initramfs-tools/hooks/casper-memdisk failed with return 1.
update-initramfs: failed for /boot/initrd.img-3.13.0-165-generic with 1.
dpkg: erro ao processar o pacote initramfs-tools (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:
initramfs-tools

Também já tentei
:~$ sudo dpkg --remove oem-kernel-cmdline
(Lendo banco de dados ... 862420 ficheiros e directórios actualmente instalados.)
A remover oem-kernel-cmdline (1.4kittyhawk7) ...
postrm called with unknown argument `remove'
dpkg: erro ao processar o pacote oem-kernel-cmdline (--remove):
sub-processo script post-removal instalado retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:
oem-kernel-cmdline

Outros comandos foram utilizados centenas de vezes, mas ainda assim erros são encontrados e não consigo processeguir seja para reparar o sistema no terminal ou também para fazer uma atualização.
sudo apt-get clean
sudo apt-get autoremove
dpkg --configure -a
sudo apt-get install -f

Conto com vocês!
Abçs




  


2. Re: PROBLEMAS COM UPGRADE UBUNTU 14.04 PARA 16.04

André L. (pinduvoz)
pinduvoz

(usa Ubuntu)

Enviado em 12/03/2019 - 02:48h

Tente assim (são dois comandos distintos):

sudo apt remove --purge initramfs-tools
sudo apt install -f



__________________________________
Linux Registered User nº 439378
Ubuntu Forum Member Since Nov/07/2006
VOL Member SInce Jul/01/2008



3. Re: PROBLEMAS COM UPGRADE UBUNTU 14.04 PARA 16.04

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 12/03/2019 - 08:49h

Eu faria bkp meus arquivos e depois uma instalação limpa do 1604 que terá suporte até abril/21 ou 1804 que terá suporte até abril/23
Não vejo sentido em atualizar um sistema bugado




4. Re: PROBLEMAS COM UPGRADE UBUNTU 14.04 PARA 16.04

Alberto Federman Neto.
albfneto

(usa Sabayon)

Enviado em 12/03/2019 - 10:06h

Olha, sempre tentam. mas a possibilidade de dar erro é grande.
Não é garantia conseguir atualizar uma versão antiga de Ubuntu, ainda mais com ambiente gráfico diferente.
Ubuntu 14 é Unity, os novos são GNOME.
Lembrem que Ubuntu não é Rolling Release.

¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨
Albfneto,
Ribeirão Preto, S.P., Brasil.
Usuário Linux, Linux Counter: #479903.
Distros Favoritas: Sabayon, Gentoo, openSUSE, Mageia e OpenMandriva.


5. Re: PROBLEMAS COM UPGRADE UBUNTU 14.04 PARA 16.04

André L. (pinduvoz)
pinduvoz

(usa Ubuntu)

Enviado em 13/03/2019 - 21:21h

Eu atualizei 14.04 para 16.04 para 18.04 sem erros. Mas não tinha PPAs e os programas extras eram poucos.

A única coisa que quebrou foi o suporte ao certificado digital, mas isso era esperado e já foi resolvido.


___________________________________
Linux Registered User nº 439378
Ubuntu Forum Member Since Nov/07/2006
VOL Member SInce Jul/01/2008



6. Re: PROBLEMAS COM UPGRADE UBUNTU 14.04 PARA 16.04

Leonardo B. Tosin
TheLe0

(usa Fedora)

Enviado em 18/03/2019 - 11:50h

Recomendo nunca instalar uma versão do Ubuntu em cima de outra. Sempre fazer pelo meio mais trabalhoso. Ubuntu não foi feito para essas coisas. Já instalei por cima algumas vezes, todas ficou tri bugadão o SO, ficou lento, funcionalidades que não funcionavam direito e etc. No fim formatei e instalei o SO de novo e voltou a funcionar perfeitamente.